# $Revision: 1.5 $, $Date: 2009/09/14 19:01:05 $
%define	_lang	es
%define	_reg	ES
%define	_lare	%{_lang}-%{_reg}
Summary:	Spanish resources for Iceape
Summary(ca.UTF-8):	Recursos espanyols per a Iceape
Summary(es.UTF-8):	Recursos españoles para Iceape
Summary(pl.UTF-8):	Hiszpańskie pliki językowe dla Iceape
Name:		iceape-lang-es
Version:	1.1.14
Release:	2
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		I18n
Source0:	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized//seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	aa789a6abf2120717e9de8ccce6b66cd
Source1:	http://www.mozilla-enigmail.org/download/release/0.96/enigmail-%{_lare}-0.96.xpi
# Source1-md5:	e2e312c34ba938825df808bbeff5f1fa
Source2:	gen-installed-chrome.sh
URL:		http://www.seamonkey-project.org/
BuildRequires:	unzip
Requires(post,postun):	iceape >= %{version}
Requires(post,postun):	textutils
Requires:	iceape >= %{version}
Obsoletes:	mozilla-lang-es
Obsoletes:	seamonkey-lang-es
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/iceape/chrome

%description
Spanish resources for Iceape.

%description -l ca.UTF-8
Recursos espanyols per a Iceape.

%description -l es.UTF-8
Recursos españoles para Iceape.

%description -l pl.UTF-8
Hiszpańskie pliki językowe dla Iceape.

%prep
%setup -q -c
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale \
	chrome/{%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar \
		> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install chrome/{%{_lare},%{_lang}-unix,enigmail-%{_lare}}.jar \
	$RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}

# rebrand locale for iceape
cd $RPM_BUILD_ROOT%{_chromedir}
unzip %{_lare}.jar locale/%{_lare}/branding/brand.dtd locale/%{_lare}/branding/brand.properties
sed -i -e 's/SeaMonkey/Iceape/g;' locale/%{_lare}/branding/brand.dtd \
	locale/%{_lare}/branding/brand.properties
zip -0 %{_lare}.jar locale/%{_lare}/branding/brand.dtd locale/%{_lare}/branding/brand.properties
rm -f locale/%{_lare}/branding/brand.dtd locale/%{_lare}/branding/brand.properties

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/iceape-chrome+xpcom-generate

%postun
%{_sbindir}/iceape-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/enigmail-%{_lare}.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iceape-lang-es.spec,v $
Revision 1.5  2009/09/14 19:01:05  hawk
- updated enigmail to 0.96

Revision 1.4  2009/04/25 12:41:51  hawk
- updated to 1.1.14

Revision 1.3  2008/11/14 16:53:01  hawk
- updated to 1.1.13

Revision 1.2  2008/06/26 19:34:21  hawk
- O: for seamonkey-lang

Revision 1.1  2008/06/26 13:15:24  hawk
- language pack for Iceape

